> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# RWA List with Market Data

> To query all the supported RWAs with price, market cap, volume and market related data

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Filter by `ids`, `names`, or `symbols`. When multiple are provided, priority is: `ids` > `names` > `symbols`.
* URL-encode spaces in `names` (e.g. `Micron%20Technology`).
* Maximum of **250** IDs per request. Wildcard searches are not supported.
* Use `per_page` and `page` to paginate results.
* Equivalent page on [CoinGecko Real World Assets](https://www.coingecko.com/en/real-world-assets).

<Tip>
  Filter by issuer using the `issuer` param — refer to [RWA Issuers List](/demo/reference/rwas-issuers-list) for available values.
</Tip>

<Note>
  `tokenized_market_data` reflects the aggregated onchain tokenized market, not the underlying stock or commodity spot market. All values are in USD.
</Note>

<CacheInfo paidRate="30 seconds" publicRate="60 seconds" />


## OpenAPI

````yaml openapi-specs/demo-api.json get /rwas/markets
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /rwas/markets:
    get:
      summary: RWA List with Market Data
      description: >-
        To query all the supported RWAs with price, market cap, volume and
        market related data
      operationId: rwas-markets
      parameters:
        - name: asset_type
          in: query
          required: false
          description: Filter by RWA asset type.
          schema:
            type: string
            enum:
              - stock
              - commodity
        - name: ids
          in: query
          required: false
          description: |-
            RWAs' IDs, comma-separated if querying more than 1 RWA. 
            *refers to [`/rwas/list`](/reference/rwas-list)
          schema:
            type: string
            default: gold
        - name: names
          in: query
          required: false
          description: RWAs' names, comma-separated if querying more than 1 RWA.
          schema:
            type: string
            default: Gold
        - name: symbols
          in: query
          required: false
          description: RWAs' symbols, comma-separated if querying more than 1 RWA.
          schema:
            type: string
            default: xau
        - name: issuer
          in: query
          required: false
          description: |-
            Filter based on RWAs' issuer. 
            *refers to [`/rwas/issuers/list`](/reference/rwas-issuers-list)
          schema:
            type: string
        - name: order
          in: query
          required: false
          description: |-
            Sort result by field. 
            Default: market_cap_desc
          schema:
            type: string
            enum:
              - market_cap_asc
              - market_cap_desc
              - volume_asc
              - volume_desc
              - id_asc
              - id_desc
        - name: per_page
          in: query
          required: false
          description: |-
            Total results per page. 
            Default: 100 
            Valid values: 1...250
          schema:
            type: integer
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default: 1
          schema:
            type: integer
        - name: sparkline
          in: query
          required: false
          description: |-
            Include sparkline 7-day data. 
            Default: false
          schema:
            type: boolean
        - name: price_change_percentage
          in: query
          required: false
          description: >-
            Include price change percentage timeframe, comma-separated if
            querying more than 1 timeframe. 

            Valid values: `1h`, `24h`, `7d`, `14d`, `30d`, `200d`, `1y`
          schema:
            type: string
        - name: precision
          in: query
          required: false
          description: Decimal places for currency price value
          schema:
            type: string
            enum:
              - full
              - '0'
              - '1'
              - '2'
              - '3'
              - '4'
              - '5'
              - '6'
              - '7'
              - '8'
              - '9'
              - '10'
              - '11'
              - '12'
              - '13'
              - '14'
              - '15'
              - '16'
              - '17'
              - '18'
      responses:
        '200':
          description: List of RWAs with market data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RwasMarkets'
              example:
                - id: gold
                  symbol: xau
                  name: Gold
                  asset_type: commodity
                  image: >-
                    https://assets.coingecko.com/rwas/images/2/large/gold.png?1710000000
                  tokenized_market_data:
                    current_price: 2412.55
                    market_cap: 4827893517
                    total_volume: 1875000000
                    high_24h: 2421.9
                    low_24h: 2398.4
                    price_change_24h: 8.35
                    price_change_percentage_24h: 0.3472
                    market_cap_change_24h: 50279934
                    market_cap_change_percentage_24h: 1.1
                    last_updated: '2026-07-31T15:24:00+00:00'
                    sparkline_in_7d:
                      price:
                        - 2388.1
                        - 2395.6
                        - 2401.2
                        - 2399.8
                        - 2408.4
                        - 2410.1
                        - 2412.55
                    price_change_percentage_1h_in_currency: 0.0421
                    price_change_percentage_24h_in_currency: 0.3472
                    price_change_percentage_7d_in_currency: 1.0234
                    price_change_percentage_14d_in_currency: 2.1187
                    price_change_percentage_30d_in_currency: -1.4402
                    price_change_percentage_200d_in_currency: 9.8815
                    price_change_percentage_1y_in_currency: 14.2076
components:
  schemas:
    RwasMarkets:
      type: array
      items:
        type: object
        required:
          - id
          - symbol
          - name
          - asset_type
          - image
          - tokenized_market_data
        properties:
          id:
            type: string
            description: RWA ID
          symbol:
            type: string
            description: RWA symbol
          name:
            type: string
            description: RWA name
          asset_type:
            type: string
            enum:
              - stock
              - commodity
            description: RWA asset type
          image:
            type: string
            description: Large image URL of the token with the largest market cap
          tokenized_market_data:
            type: object
            description: Aggregated tokenized market data
            properties:
              current_price:
                type: number
                nullable: true
                description: Current price in target currency
              market_cap:
                type: number
                nullable: true
                description: Market cap in target currency
              total_volume:
                type: number
                nullable: true
                description: Total trading volume in target currency
              high_24h:
                type: number
                nullable: true
                description: 24-hour price high in target currency
              low_24h:
                type: number
                nullable: true
                description: 24-hour price low in target currency
              price_change_24h:
                type: number
                nullable: true
                description: 24-hour price change in target currency
              price_change_percentage_24h:
                type: number
                nullable: true
                description: 24-hour price change percentage
              market_cap_change_24h:
                type: number
                nullable: true
                description: 24-hour market cap change in target currency
              market_cap_change_percentage_24h:
                type: number
                nullable: true
                description: 24-hour market cap change percentage
              last_updated:
                type: string
                format: date-time
                description: Last updated timestamp
              sparkline_in_7d:
                type: object
                description: Sparkline price data for the last 7 days
                properties:
                  price:
                    type: array
                    items:
                      type: number
                    description: Array of price values
              price_change_percentage_1h_in_currency:
                type: number
                nullable: true
                description: 1-hour price change percentage in target currency
              price_change_percentage_24h_in_currency:
                type: number
                nullable: true
                description: 24-hour price change percentage in target currency
              price_change_percentage_7d_in_currency:
                type: number
                nullable: true
                description: 7-day price change percentage in target currency
              price_change_percentage_14d_in_currency:
                type: number
                nullable: true
                description: 14-day price change percentage in target currency
              price_change_percentage_30d_in_currency:
                type: number
                nullable: true
                description: 30-day price change percentage in target currency
              price_change_percentage_200d_in_currency:
                type: number
                nullable: true
                description: 200-day price change percentage in target currency
              price_change_percentage_1y_in_currency:
                type: number
                nullable: true
                description: 1-year price change percentage in target currency
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````